org.codehaus.plexus.interpolation

## Class SingleResponseValueSource

- java.lang.Object
- - org.codehaus.plexus.interpolation.SingleResponseValueSource

All Implemented Interfaces:
  ValueSource

    public class SingleResponseValueSource
    extends java.lang.Object
    implements ValueSource

If the expression matches, simply return the response object.

Since:
  1.12

### Constructor Summary

Constructors
Constructor and Description
`SingleResponseValueSource(java.lang.String expression, java.lang.Object response)`

### Method Summary

Methods
`void` `clearFeedback()` Clear the feedback accumulated by a prior interpolation run.
`java.util.List` `getFeedback()` Return the feedback about resolution failures for a particular expression.
`java.lang.Object` `getValue(java.lang.String expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleResponseValueSource

    public SingleResponseValueSource(java.lang.String expression,
                             java.lang.Object response)

### Method Detail

#### clearFeedback

    public void clearFeedback()

Description copied from interface: `ValueSource`
Clear the feedback accumulated by a prior interpolation run.

Specified by:
  `clearFeedback` in interface `ValueSource`

#### getFeedback

    public java.util.List getFeedback()

Description copied from interface: `ValueSource`
Return the feedback about resolution failures for a particular expression.

Specified by:
  `getFeedback` in interface `ValueSource`
Returns:
  a combination of String and Throwable instances, where strings related to throwables are listed first.

#### getValue

    public java.lang.Object getValue(java.lang.String expression)

Specified by:
  `getValue` in interface `ValueSource`
Returns:
  the value related to the expression, or null if not found.